------------------------------------------------------------
-- VHDL FPGAMFO3
-- 2021 5 25 11 12 43
-- Created By "Altium Designer VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 16.1.12.290
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGAMFO3
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity FPGAMFO3 Is
  port
  (
    CLK             : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=CLK
    CLK1PPS         : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=CLK1PPS
    CNT             : In    STD_LOGIC_VECTOR(25 Downto 0);   -- ObjectKind=Port|PrimaryId=CNT[25..0]
    ERR_IN          : In    STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=ERR_IN[31..0]
    JTAG_NEXUS_TCK  : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TCK
    JTAG_NEXUS_TDI  : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TDI
    JTAG_NEXUS_TDO  : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TDO
    JTAG_NEXUS_TMS  : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TMS
    JTAG_NEXUS_TRST : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TRST
    OCXO_CTRL       : Out   STD_LOGIC_VECTOR(15 Downto 0)    -- ObjectKind=Port|PrimaryId=OCXO_CTRL[15..0]
  );
  attribute MacroCell : boolean;

End FPGAMFO3;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of FPGAMFO3 Is
   Component BUFG                                            -- ObjectKind=Part|PrimaryId=U128|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U128-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U128-O
      );
   End Component;

   Component ClockCounter                                    -- ObjectKind=Sheet Symbol|PrimaryId=ClockLogic
      port
      (
        A      : out STD_LOGIC_VECTOR(6 Downto 0);           -- ObjectKind=Sheet Entry|PrimaryId=ClockCounter.Vhd-A[6..0]
        CLK    : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=ClockCounter.Vhd-CLK
        ODD    : out STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=ClockCounter.Vhd-ODD
        ONEPPS : in  STD_LOGIC                               -- ObjectKind=Sheet Entry|PrimaryId=ClockCounter.Vhd-ONEPPS
      );
   End Component;

   Component Configurable_U_FILTER                           -- ObjectKind=Part|PrimaryId=U_FILTER|SecondaryId=1
      port
      (
        DAC_OFS : out STD_LOGIC_VECTOR(15 Downto 0);         -- ObjectKind=Pin|PrimaryId=U_FILTER-DAC_OFS[15..0]
        FD      : in  STD_LOGIC_VECTOR(31 Downto 0);         -- ObjectKind=Pin|PrimaryId=U_FILTER-FD[31..0]
        I       : in  STD_LOGIC_VECTOR(31 Downto 0);         -- ObjectKind=Pin|PrimaryId=U_FILTER-I[31..0]
        O_F     : in  STD_LOGIC;                             -- ObjectKind=Pin|PrimaryId=U_FILTER-O_F
        SIGN    : in  STD_LOGIC;                             -- ObjectKind=Pin|PrimaryId=U_FILTER-SIGN
        TCK     : in  STD_LOGIC;                             -- ObjectKind=Pin|PrimaryId=U_FILTER-TCK
        TDI     : in  STD_LOGIC;                             -- ObjectKind=Pin|PrimaryId=U_FILTER-TDI
        TDO     : out STD_LOGIC;                             -- ObjectKind=Pin|PrimaryId=U_FILTER-TDO
        TMS     : in  STD_LOGIC;                             -- ObjectKind=Pin|PrimaryId=U_FILTER-TMS
        TRST    : in  STD_LOGIC                              -- ObjectKind=Pin|PrimaryId=U_FILTER-TRST
      );
   End Component;

   Component Configurable_U_JAM                              -- ObjectKind=Part|PrimaryId=U_JAM|SecondaryId=1
      port
      (
        CTR_DAC  : in  STD_LOGIC_VECTOR(15 Downto 0);        -- ObjectKind=Pin|PrimaryId=U_JAM-CTR_DAC[15..0]
        HI_DAC   : in  STD_LOGIC_VECTOR(15 Downto 0);        -- ObjectKind=Pin|PrimaryId=U_JAM-HI_DAC[15..0]
        L25_DAC  : in  STD_LOGIC_VECTOR(15 Downto 0);        -- ObjectKind=Pin|PrimaryId=U_JAM-L25_DAC[15..0]
        L75_DAC  : in  STD_LOGIC_VECTOR(15 Downto 0);        -- ObjectKind=Pin|PrimaryId=U_JAM-L75_DAC[15..0]
        LO_DAC   : in  STD_LOGIC_VECTOR(15 Downto 0);        -- ObjectKind=Pin|PrimaryId=U_JAM-LO_DAC[15..0]
        MID_DAC  : in  STD_LOGIC_VECTOR(15 Downto 0);        -- ObjectKind=Pin|PrimaryId=U_JAM-MID_DAC[15..0]
        OUT_DAC  : out STD_LOGIC_VECTOR(15 Downto 0);        -- ObjectKind=Pin|PrimaryId=U_JAM-OUT_DAC[15..0]
        RAMP_DAC : in  STD_LOGIC_VECTOR(15 Downto 0);        -- ObjectKind=Pin|PrimaryId=U_JAM-RAMP_DAC[15..0]
        TCK      : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_JAM-TCK
        TDI      : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_JAM-TDI
        TDO      : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_JAM-TDO
        TMS      : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_JAM-TMS
        TRST     : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_JAM-TRST
        USR_DAC  : in  STD_LOGIC_VECTOR(15 Downto 0)         -- ObjectKind=Pin|PrimaryId=U_JAM-USR_DAC[15..0]
      );
   End Component;

   Component IIR_CoeffMem_52_OCXO                            -- ObjectKind=Sheet Symbol|PrimaryId=CoefficientMemory
      port
      (
        A    : in  STD_LOGIC_VECTOR(6 Downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_OCXO.Vhd-A[6..0]
        ADDR : in  STD_LOGIC_VECTOR(10 Downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_OCXO.Vhd-ADDR[10..0]
        CLK  : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_OCXO.Vhd-CLK
        COEF : out STD_LOGIC_VECTOR(17 Downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_OCXO.Vhd-COEF[17..0]
        CTRL : out STD_LOGIC_VECTOR(17 Downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_OCXO.Vhd-CTRL[17..0]
        DI   : in  STD_LOGIC_VECTOR(17 Downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_OCXO.Vhd-DI[17..0]
        DO   : out STD_LOGIC_VECTOR(17 Downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_OCXO.Vhd-DO[17..0]
        MWE  : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_OCXO.Vhd-MWE
        SEL  : in  STD_LOGIC_VECTOR(2 Downto 0)              -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_OCXO.Vhd-SEL[2..0]
      );
   End Component;

   Component IIR_engine_52                                   -- ObjectKind=Sheet Symbol|PrimaryId=FilterEngine
      port
      (
        C    : in  STD_LOGIC_VECTOR(17 Downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-C[17..0]
        CLK  : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-CLK
        COEF : in  STD_LOGIC_VECTOR(17 Downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-COEF[17..0]
        FIL  : out STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-FIL[31..0]
        HT   : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-HT
        I    : in  STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-I[31..0]
        IOLD : out STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-IOLD[31..0]
        IOVF : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-IOVF
        OVF  : out STD_LOGIC                                 -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-OVF
      );
   End Component;

   Component M32_B2B1                                        -- ObjectKind=Part|PrimaryId=U126|SecondaryId=1
      port
      (
        A  : in  STD_LOGIC_VECTOR(31 Downto 0);              -- ObjectKind=Pin|PrimaryId=U126-A[31..0]
        B  : in  STD_LOGIC_VECTOR(31 Downto 0);              -- ObjectKind=Pin|PrimaryId=U126-B[31..0]
        S0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U126-S0
        Y  : out STD_LOGIC_VECTOR(31 Downto 0)               -- ObjectKind=Pin|PrimaryId=U126-Y[31..0]
      );
   End Component;

   Component OVF_DETECT                                      -- ObjectKind=Sheet Symbol|PrimaryId=U_OVF_DETECT
      port
      (
        FD_OUT : out STD_LOGIC_VECTOR(15 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=OVF_DETECT.SchDoc-FD_OUT[15..0]
        FIL_IN : in  STD_LOGIC_VECTOR(31 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=OVF_DETECT.SchDoc-FIL_IN[31..0]
        O_F    : out STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=OVF_DETECT.SchDoc-O_F
        SIGN   : out STD_LOGIC                               -- ObjectKind=Sheet Entry|PrimaryId=OVF_DETECT.SchDoc-SIGN
      );
   End Component;


    Signal NamedSignal_CNT                  : STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Net|PrimaryId=CNT[25..0]
    Signal NamedSignal_ERR                  : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=ERR[31..0]
    Signal NamedSignal_FD                   : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=FD[31..0]
    Signal NamedSignal_GND1_BUS             : STD_LOGIC_VECTOR(17 Downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[17..0]
    Signal NamedSignal_GND2_BUS             : STD_LOGIC_VECTOR(10 Downto 0); -- ObjectKind=Net|PrimaryId=GND2_BUS[10..0]
    Signal NamedSignal_GND3_BUS             : STD_LOGIC_VECTOR(2 Downto 0); -- ObjectKind=Net|PrimaryId=GND3_BUS[2..0]
    Signal NamedSignal_GND4_BUS             : STD_LOGIC_VECTOR(31 Downto 14); -- ObjectKind=Net|PrimaryId=GND4_BUS[31..14]
    Signal NamedSignal_GND5_BUS             : STD_LOGIC_VECTOR(13 Downto 0); -- ObjectKind=Net|PrimaryId=GND5_BUS[13..0]
    Signal NamedSignal_GND6_BUS             : STD_LOGIC_VECTOR(6 Downto 0); -- ObjectKind=Net|PrimaryId=GND6_BUS[6..0]
    Signal NamedSignal_HI                   : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=HI[15..0]
    Signal NamedSignal_I                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=I[31..0]
    Signal NamedSignal_L25                  : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=L25[15..0]
    Signal NamedSignal_L75                  : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=L75[15..0]
    Signal NamedSignal_LO                   : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=LO[15..0]
    Signal NamedSignal_MID                  : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=MID[15..0]
    Signal NamedSignal_NCLAMP               : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=NCLAMP[31..0]
    Signal NamedSignal_O_F                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=O_F
    Signal NamedSignal_PCLAMP               : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=PCLAMP[31..0]
    Signal NamedSignal_SIGN                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SIGN
    Signal NamedSignal_VCC1_BUS             : STD_LOGIC_VECTOR(13 Downto 0); -- ObjectKind=Net|PrimaryId=PCLAMP[13..0]
    Signal NamedSignal_VCC2_BUS             : STD_LOGIC_VECTOR(31 Downto 14); -- ObjectKind=Net|PrimaryId=NCLAMP[31..14]
    Signal PinSignal_ClockLogic_A           : STD_LOGIC_VECTOR(6 Downto 0); -- ObjectKind=Net|PrimaryId=A
    Signal PinSignal_ClockLogic_ODD         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ODD
    Signal PinSignal_CoefficientMemory_COEF : STD_LOGIC_VECTOR(17 Downto 0); -- ObjectKind=Net|PrimaryId=COEF
    Signal PinSignal_CoefficientMemory_CTRL : STD_LOGIC_VECTOR(17 Downto 0); -- ObjectKind=Net|PrimaryId=CTRL
    Signal PinSignal_FilterEngine_FIL       : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=FD[31..0]
    Signal PinSignal_U_FILTER_DAC_OFS       : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=NetU_FILTER_DAC_OFS[15..0]
    Signal PinSignal_U_FILTER_TDO           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_LINK0
    Signal PinSignal_U_JAM_OUT_DAC          : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=OCXO_CTRL[15..0]
    Signal PinSignal_U_JAM_RAMP_DAC         : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=CNT[25..0]
    Signal PinSignal_U_JAM_TDO              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_JAM_TDO
    Signal PinSignal_U_OVF_DETECT_FD_OUT    : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=NetU_JAM_CTR_DAC[15..0]
    Signal PinSignal_U_OVF_DETECT_O_F       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=O_F
    Signal PinSignal_U_OVF_DETECT_SIGN      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SIGN
    Signal PinSignal_U126_Y                 : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=ERR[31..0]
    Signal PinSignal_U127_Y                 : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=NetU126_B[31..0]
    Signal PinSignal_U128_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU128_O
    Signal PowerSignal_GND                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND

Begin
    U_OVF_DETECT : OVF_DETECT                                -- ObjectKind=Sheet Symbol|PrimaryId=U_OVF_DETECT
      Port Map
      (
        FD_OUT => PinSignal_U_OVF_DETECT_FD_OUT,             -- ObjectKind=Sheet Entry|PrimaryId=OVF_DETECT.SchDoc-FD_OUT[15..0]
        FIL_IN => PinSignal_FilterEngine_FIL,                -- ObjectKind=Sheet Entry|PrimaryId=OVF_DETECT.SchDoc-FIL_IN[31..0]
        O_F    => PinSignal_U_OVF_DETECT_O_F,                -- ObjectKind=Sheet Entry|PrimaryId=OVF_DETECT.SchDoc-O_F
        SIGN   => PinSignal_U_OVF_DETECT_SIGN                -- ObjectKind=Sheet Entry|PrimaryId=OVF_DETECT.SchDoc-SIGN
      );

    FilterEngine : IIR_engine_52                             -- ObjectKind=Sheet Symbol|PrimaryId=FilterEngine
      Port Map
      (
        C    => PinSignal_CoefficientMemory_CTRL,            -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-C[17..0]
        CLK  => PinSignal_U128_O,                            -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-CLK
        COEF => PinSignal_CoefficientMemory_COEF,            -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-COEF[17..0]
        FIL  => PinSignal_FilterEngine_FIL,                  -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-FIL[31..0]
        HT   => PinSignal_ClockLogic_ODD,                    -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-HT
        I    => NamedSignal_I,                               -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-I[31..0]
        IOVF => PowerSignal_GND                              -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-IOVF
      );

    CoefficientMemory : IIR_CoeffMem_52_OCXO                 -- ObjectKind=Sheet Symbol|PrimaryId=CoefficientMemory
      Port Map
      (
        A    => PinSignal_ClockLogic_A,                      -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_OCXO.Vhd-A[6..0]
        ADDR => NamedSignal_GND2_BUS,                        -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_OCXO.Vhd-ADDR[10..0]
        CLK  => PinSignal_U128_O,                            -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_OCXO.Vhd-CLK
        COEF => PinSignal_CoefficientMemory_COEF,            -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_OCXO.Vhd-COEF[17..0]
        CTRL => PinSignal_CoefficientMemory_CTRL,            -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_OCXO.Vhd-CTRL[17..0]
        DI   => NamedSignal_GND1_BUS,                        -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_OCXO.Vhd-DI[17..0]
        MWE  => PowerSignal_GND,                             -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_OCXO.Vhd-MWE
        SEL  => NamedSignal_GND3_BUS                         -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_OCXO.Vhd-SEL[2..0]
      );

    ClockLogic : ClockCounter                                -- ObjectKind=Sheet Symbol|PrimaryId=ClockLogic
      Port Map
      (
        A      => PinSignal_ClockLogic_A,                    -- ObjectKind=Sheet Entry|PrimaryId=ClockCounter.Vhd-A[6..0]
        CLK    => PinSignal_U128_O,                          -- ObjectKind=Sheet Entry|PrimaryId=ClockCounter.Vhd-CLK
        ODD    => PinSignal_ClockLogic_ODD,                  -- ObjectKind=Sheet Entry|PrimaryId=ClockCounter.Vhd-ODD
        ONEPPS => CLK1PPS                                    -- ObjectKind=Sheet Entry|PrimaryId=ClockCounter.Vhd-ONEPPS
      );

    U_JAM : Configurable_U_JAM                               -- ObjectKind=Part|PrimaryId=U_JAM|SecondaryId=1
      Port Map
      (
        CTR_DAC  => PinSignal_U_OVF_DETECT_FD_OUT,           -- ObjectKind=Pin|PrimaryId=U_JAM-CTR_DAC[15..0]
        HI_DAC   => NamedSignal_HI,                          -- ObjectKind=Pin|PrimaryId=U_JAM-HI_DAC[15..0]
        L25_DAC  => NamedSignal_L25,                         -- ObjectKind=Pin|PrimaryId=U_JAM-L25_DAC[15..0]
        L75_DAC  => NamedSignal_L75,                         -- ObjectKind=Pin|PrimaryId=U_JAM-L75_DAC[15..0]
        LO_DAC   => NamedSignal_LO,                          -- ObjectKind=Pin|PrimaryId=U_JAM-LO_DAC[15..0]
        MID_DAC  => NamedSignal_MID,                         -- ObjectKind=Pin|PrimaryId=U_JAM-MID_DAC[15..0]
        OUT_DAC  => PinSignal_U_JAM_OUT_DAC,                 -- ObjectKind=Pin|PrimaryId=U_JAM-OUT_DAC[15..0]
        RAMP_DAC => PinSignal_U_JAM_RAMP_DAC,                -- ObjectKind=Pin|PrimaryId=U_JAM-RAMP_DAC[15..0]
        TCK      => JTAG_NEXUS_TCK,                          -- ObjectKind=Pin|PrimaryId=U_JAM-TCK
        TDI      => PinSignal_U_FILTER_TDO,                  -- ObjectKind=Pin|PrimaryId=U_JAM-TDI
        TDO      => PinSignal_U_JAM_TDO,                     -- ObjectKind=Pin|PrimaryId=U_JAM-TDO
        TMS      => JTAG_NEXUS_TMS,                          -- ObjectKind=Pin|PrimaryId=U_JAM-TMS
        TRST     => JTAG_NEXUS_TRST,                         -- ObjectKind=Pin|PrimaryId=U_JAM-TRST
        USR_DAC  => PinSignal_U_FILTER_DAC_OFS               -- ObjectKind=Pin|PrimaryId=U_JAM-USR_DAC[15..0]
      );

    U_FILTER : Configurable_U_FILTER                         -- ObjectKind=Part|PrimaryId=U_FILTER|SecondaryId=1
      Port Map
      (
        DAC_OFS => PinSignal_U_FILTER_DAC_OFS,               -- ObjectKind=Pin|PrimaryId=U_FILTER-DAC_OFS[15..0]
        FD      => NamedSignal_FD,                           -- ObjectKind=Pin|PrimaryId=U_FILTER-FD[31..0]
        I       => NamedSignal_I,                            -- ObjectKind=Pin|PrimaryId=U_FILTER-I[31..0]
        O_F     => NamedSignal_O_F,                          -- ObjectKind=Pin|PrimaryId=U_FILTER-O_F
        SIGN    => NamedSignal_SIGN,                         -- ObjectKind=Pin|PrimaryId=U_FILTER-SIGN
        TCK     => JTAG_NEXUS_TCK,                           -- ObjectKind=Pin|PrimaryId=U_FILTER-TCK
        TDI     => JTAG_NEXUS_TDI,                           -- ObjectKind=Pin|PrimaryId=U_FILTER-TDI
        TDO     => PinSignal_U_FILTER_TDO,                   -- ObjectKind=Pin|PrimaryId=U_FILTER-TDO
        TMS     => JTAG_NEXUS_TMS,                           -- ObjectKind=Pin|PrimaryId=U_FILTER-TMS
        TRST    => JTAG_NEXUS_TRST                           -- ObjectKind=Pin|PrimaryId=U_FILTER-TRST
      );

    U128 : BUFG                                              -- ObjectKind=Part|PrimaryId=U128|SecondaryId=1
      Port Map
      (
        I => CLK,                                            -- ObjectKind=Pin|PrimaryId=U128-I
        O => PinSignal_U128_O                                -- ObjectKind=Pin|PrimaryId=U128-O
      );

    U127 : M32_B2B1                                          -- ObjectKind=Part|PrimaryId=U127|SecondaryId=1
      Port Map
      (
        A  => NamedSignal_NCLAMP,                            -- ObjectKind=Pin|PrimaryId=U127-A[31..0]
        B  => NamedSignal_PCLAMP,                            -- ObjectKind=Pin|PrimaryId=U127-B[31..0]
        S0 => NamedSignal_SIGN,                              -- ObjectKind=Pin|PrimaryId=U127-S0
        Y  => PinSignal_U127_Y                               -- ObjectKind=Pin|PrimaryId=U127-Y[31..0]
      );

    U126 : M32_B2B1                                          -- ObjectKind=Part|PrimaryId=U126|SecondaryId=1
      Port Map
      (
        A  => ERR_IN,                                        -- ObjectKind=Pin|PrimaryId=U126-A[31..0]
        B  => PinSignal_U127_Y,                              -- ObjectKind=Pin|PrimaryId=U126-B[31..0]
        S0 => NamedSignal_O_F,                               -- ObjectKind=Pin|PrimaryId=U126-S0
        Y  => PinSignal_U126_Y                               -- ObjectKind=Pin|PrimaryId=U126-Y[31..0]
      );

    -- Signal Assignments
    ---------------------
    JTAG_NEXUS_TDO                   <= PinSignal_U_JAM_TDO; -- ObjectKind=Net|PrimaryId=NetU_JAM_TDO
    NamedSignal_CNT                  <= CNT; -- ObjectKind=Net|PrimaryId=CNT[25..0]
    NamedSignal_ERR                  <= PinSignal_U126_Y; -- ObjectKind=Net|PrimaryId=ERR[31..0]
    NamedSignal_FD                   <= PinSignal_FilterEngine_FIL; -- ObjectKind=Net|PrimaryId=FD[31..0]
    NamedSignal_GND1_BUS             <= "000000000000000000"; -- ObjectKind=Net|PrimaryId=GND1_BUS[17..0]
    NamedSignal_GND2_BUS             <= "00000000000"; -- ObjectKind=Net|PrimaryId=GND2_BUS[10..0]
    NamedSignal_GND3_BUS             <= "000"; -- ObjectKind=Net|PrimaryId=GND3_BUS[2..0]
    NamedSignal_GND4_BUS             <= "000000000000000000"; -- ObjectKind=Net|PrimaryId=GND4_BUS[31..14]
    NamedSignal_GND5_BUS             <= "00000000000000"; -- ObjectKind=Net|PrimaryId=GND5_BUS[13..0]
    NamedSignal_GND6_BUS             <= "0000000"; -- ObjectKind=Net|PrimaryId=GND6_BUS[6..0]
    NamedSignal_HI                   <= "1111111111111111"; -- ObjectKind=Net|PrimaryId=HI[15..0]
    NamedSignal_I(31 Downto 7)       <= NamedSignal_ERR(24 Downto 0); -- ObjectKind=Net|PrimaryId=ERR[31..0]
    NamedSignal_I(6 Downto 0)        <= NamedSignal_GND6_BUS; -- ObjectKind=Net|PrimaryId=GND6_BUS[6..0]
    NamedSignal_L25                  <= "0100000000000000"; -- ObjectKind=Net|PrimaryId=L25[15..0]
    NamedSignal_L75                  <= "1100000000000000"; -- ObjectKind=Net|PrimaryId=L75[15..0]
    NamedSignal_LO                   <= "0000000000000000"; -- ObjectKind=Net|PrimaryId=LO[15..0]
    NamedSignal_MID                  <= "1000000000000000"; -- ObjectKind=Net|PrimaryId=MID[15..0]
    NamedSignal_NCLAMP(13 Downto 0)  <= NamedSignal_GND5_BUS; -- ObjectKind=Net|PrimaryId=GND5_BUS[13..0]
    NamedSignal_NCLAMP(31 Downto 14) <= NamedSignal_VCC2_BUS; -- ObjectKind=Net|PrimaryId=NCLAMP[31..14]
    NamedSignal_O_F                  <= PinSignal_U_OVF_DETECT_O_F; -- ObjectKind=Net|PrimaryId=O_F
    NamedSignal_PCLAMP(13 Downto 0)  <= NamedSignal_VCC1_BUS; -- ObjectKind=Net|PrimaryId=PCLAMP[13..0]
    NamedSignal_PCLAMP(31 Downto 14) <= NamedSignal_GND4_BUS; -- ObjectKind=Net|PrimaryId=GND4_BUS[31..14]
    NamedSignal_SIGN                 <= PinSignal_U_OVF_DETECT_SIGN; -- ObjectKind=Net|PrimaryId=SIGN
    NamedSignal_VCC1_BUS             <= "11111111111111"; -- ObjectKind=Net|PrimaryId=PCLAMP[13..0]
    NamedSignal_VCC2_BUS             <= "111111111111111111"; -- ObjectKind=Net|PrimaryId=NCLAMP[31..14]
    OCXO_CTRL                        <= PinSignal_U_JAM_OUT_DAC; -- ObjectKind=Net|PrimaryId=OCXO_CTRL[15..0]
    PinSignal_U_JAM_RAMP_DAC         <= NamedSignal_CNT(25 Downto 10); -- ObjectKind=Net|PrimaryId=CNT[25..0]
    PowerSignal_GND                  <= '0'; -- ObjectKind=Net|PrimaryId=GND

End Structure;
------------------------------------------------------------

